picard.analysis

## Class GcBiasMetricsCollector.PerUnitGcBiasMetricsCollector

- java.lang.Object
- - picard.analysis.GcBiasMetricsCollector.PerUnitGcBiasMetricsCollector

- All Implemented Interfaces:
    PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>
  Enclosing class:
    GcBiasMetricsCollector

      public class GcBiasMetricsCollector.PerUnitGcBiasMetricsCollector
      extends Object
      implements PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PerUnitGcBiasMetricsCollector(String sample, String library, String readGroup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptRecord(picard.analysis.GcBiasCollectorArgs args)` Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)
    `void` | `addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<GcBiasMetrics,Integer> file)` Any metrics collected will be added to the metric file provided.
    `void` | `finish()` When all records have been collected, compute any final values needed to finish constructing metrics/Histogram

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PerUnitGcBiasMetricsCollector

          public PerUnitGcBiasMetricsCollector(String sample,
                                               String library,
                                               String readGroup)

  - ### Method Detail

    - #### acceptRecord

          public void acceptRecord(picard.analysis.GcBiasCollectorArgs args)

      Description copied from interface: `PerUnitMetricCollector`
      Add a SAMRecord (with ReferenceSequence and Read Group info) to the metric(s) being calculated)
      Specified by:
        `acceptRecord` in interface `PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`
      Parameters:
        `args` - Contains SAMRecord, SAMReadGroupRecord, ReferenceSequence of current record and any previously computed values that might be needed for this class

    - #### finish

          public void finish()

      Description copied from interface: `PerUnitMetricCollector`
      When all records have been collected, compute any final values needed to finish constructing metrics/Histogram
      Specified by:
        `finish` in interface `PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`

    - #### addMetricsToFile

          public void addMetricsToFile(htsjdk.samtools.metrics.MetricsFile<GcBiasMetrics,Integer> file)

      Description copied from interface: `PerUnitMetricCollector`
      Any metrics collected will be added to the metric file provided.
      Specified by:
        `addMetricsToFile` in interface `PerUnitMetricCollector<GcBiasMetrics,Integer,picard.analysis.GcBiasCollectorArgs>`
      Parameters:
        `file` - MetricsFile to which all metrics created by this collector should be added